com.icesoft.faces.component.inputrichtext

## Class InputRichText

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - com.icesoft.faces.component.inputrichtext.InputRichText

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class InputRichText
      extends javax.faces.component.UIInput

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `DEFAULT_RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputRichText()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext facesContext)`
    `void` | `encodeBegin(javax.faces.context.FacesContext context)`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getCustomConfigPath()` Return the value of the `customConfigPath` property.
    `java.lang.String` | `getFor()` Return the value of the `language` property.
    `java.lang.String` | `getHeight()` Return the value of the `height` property.
    `java.lang.String` | `getLanguage()` Return the value of the `language` property.
    `boolean` | `getPartialSubmit()`
    `java.lang.String` | `getRendererType()`
    `java.lang.String` | `getSkin()` Return the value of the `skin` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getToolbar()` Return the value of the `toolbar` property.
    `java.lang.String` | `getWidth()` Return the value of the `width` property.
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `boolean` | `isSaveOnSubmit()` Return the value of the `saveOnSubmit` property.
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setCustomConfigPath(java.lang.String customConfigPath)` Set the value of the `customConfigPath` property.
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setFor(java.lang.String _for)` Set the value of the `for` property.
    `void` | `setHeight(java.lang.String height)` Set the value of the `height` property.
    `void` | `setLanguage(java.lang.String language)` Set the value of the `language` property.
    `void` | `setPartialSubmit(boolean partialSubmit)`
    `void` | `setSaveOnSubmit(boolean saveOnSubmit)` Set the value of the `saveOnSubmit` property.
    `void` | `setSkin(java.lang.String skin)` Set the value of the `skin` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setToolbar(java.lang.String toolbar)` Set the value of the `toolbar` property.
    `void` | `setWidth(java.lang.String width)` Set the value of the `width` property.

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_RENDERER_TYPE

          public static final java.lang.String DEFAULT_RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InputRichText

          public InputRichText()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `javax.faces.component.UIComponentBase`

    - #### getComponentType

          public java.lang.String getComponentType()

    - #### decode

          public void decode(javax.faces.context.FacesContext facesContext)

      Overrides:
        `decode` in class `javax.faces.component.UIInput`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.io.IOException`

    - #### setLanguage

          public void setLanguage(java.lang.String language)

      Set the value of the `language` property.

    - #### getLanguage

          public java.lang.String getLanguage()

      Return the value of the `language` property.

    - #### setFor

          public void setFor(java.lang.String _for)

      Set the value of the `for` property.

    - #### getFor

          public java.lang.String getFor()

      Return the value of the `language` property.

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

    - #### setWidth

          public void setWidth(java.lang.String width)

      Set the value of the `width` property.

    - #### getWidth

          public java.lang.String getWidth()

      Return the value of the `width` property.

    - #### setHeight

          public void setHeight(java.lang.String height)

      Set the value of the `height` property.

    - #### getHeight

          public java.lang.String getHeight()

      Return the value of the `height` property.

    - #### setToolbar

          public void setToolbar(java.lang.String toolbar)

      Set the value of the `toolbar` property.

    - #### getToolbar

          public java.lang.String getToolbar()

      Return the value of the `toolbar` property.

    - #### setCustomConfigPath

          public void setCustomConfigPath(java.lang.String customConfigPath)

      Set the value of the `customConfigPath` property.

    - #### getCustomConfigPath

          public java.lang.String getCustomConfigPath()

      Return the value of the `customConfigPath` property.

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

    - #### setSkin

          public void setSkin(java.lang.String skin)

      Set the value of the `skin` property.

    - #### getSkin

          public java.lang.String getSkin()

      Return the value of the `skin` property.

    - #### setSaveOnSubmit

          public void setSaveOnSubmit(boolean saveOnSubmit)

      Set the value of the `saveOnSubmit` property.

    - #### isSaveOnSubmit

          public boolean isSaveOnSubmit()

      Return the value of the `saveOnSubmit` property.

    - #### setPartialSubmit

          public void setPartialSubmit(boolean partialSubmit)

    - #### getPartialSubmit

          public boolean getPartialSubmit()

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIInput`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIInput`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.